Bug 505536 - X-Server does not work with modesetting (and Intel 945GM)
X-Server does not work with modesetting (and Intel 945GM)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 06:12 EDT by Felix Möller
Modified: 2009-11-05 13:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 13:41:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of "gdm" (294.62 KB, image/jpeg)
2009-06-12 06:23 EDT, Felix Möller
no flags Details
dmesg of my Macbook (34.55 KB, text/plain)
2009-06-19 16:31 EDT, Felix Möller
no flags Details
Xorg.log when running with default configuration (27.96 KB, text/plain)
2009-06-19 16:35 EDT, Felix Möller
no flags Details

  None (edit)
Description Felix Möller 2009-06-12 06:12:20 EDT
Description of problem:
I have an Intel Macbook of early 2006:
[fm@macbook ~]$ lspci -nn | grep Graphics
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)
00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)

And kernel modesetting and UXA does not seem to work.

I have the following xorg.conf
[fm@macbook ~]$ cat /etc/xorg.conf
Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen         "Screen0"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
	Option       "PreferredMode" "1280x800"
EndSection

Section "Device"
	Identifier  "Card0"
	Driver      "intel"
	# Option      "NoAccel" "true"
	Option "AccelMethod" "UXA"
	# Option "XAANoOffscreenPixmaps" "true"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	SubSection "Display"
		Depth     24
                Virtual   2960 1050
	EndSubSection
EndSection

I have tried the following options:
kernel                 xorg.conf            result
nomodeset vga=0x317    "AccelMethod" "UXA"  looks like endless restart of X
nomodeset              "AccelMethod" "UXA"  just a garbeled pointer
          vga=0x317    "AccelMethod" "UXA"  just a garbeled pointer
                       "AccelMethod" "UXA"  just a garbeled pointer
I will attach a screenshot of the "pointer" at least it moves when moving the mouse...

It seems the only usable configuration is:
nomodeset vga=0x317    "AccelMethod" "XAA"  slow but works

Version-Release number of selected component (if applicable):
[fm@macbook ~]$ uname -a
Linux macbook 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686 i686 i386 GNU/Linux
[fm@macbook ~]$ rpm -q xorg-x11-drv-intel 
xorg-x11-drv-intel-2.7.0-7.fc11.i586

How reproducible:
allways

Steps to Reproduce:
1. Get an old MacBook:
[root@macbook fm]# dmidecode | grep -i macbo -B 2
System Information
	Manufacturer: Apple Computer, Inc.
	Product Name: MacBook1,1
2. install fedora 11 on it
Comment 1 Felix Möller 2009-06-12 06:23:48 EDT
Created attachment 347531 [details]
screenshot of "gdm"

This is the pointer I see in most cases.

Bug #498163 is similar but seems to get little further in gdm.
Comment 2 Matěj Cepl 2009-06-12 15:38:29 EDT
Could you please follow instructions on https://fedoraproject.org/wiki/Common_F11_bugs#intel-misc-gfx

Thank you.
Comment 3 Adam Williamson 2009-06-12 17:32:33 EDT
This looks rather like another case of #494390, to me.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Felix Möller 2009-06-12 18:46:45 EDT
I am not quiet sure what other information you would like to have.

I talked to Adam on #fedora-bugzappers and then tried other combinations of modesettting, vga und AccelMethod.

kernel                 xorg.conf            result
                       "AccelMethod" "UXA"  just garbeled pointer
          vga=0x317    "AccelMethod" "UXA"  just garbeled pointer
nomodeset              "AccelMethod" "UXA"  just garbeled pointer
nomodeset vga=0x317    "AccelMethod" "UXA"  looks like endless restart of X
                       "AccelMethod" "EXA"  just garbeled pointer 
          vga=0x317    "AccelMethod" "EXA"  just garbeled pointer, no textmode?
nomodeset              "AccelMethod" "EXA"  works
nomodeset vga=0x317    "AccelMethod" "EXA"  works
                       "AccelMethod" "XAA"  just garbeled pointer
          vga=0x317    "AccelMethod" "XAA"  just garbeled pointer
nomodeset              "AccelMethod" "XAA"  works
nomodeset vga=0x317    "AccelMethod" "XAA"  works

If you need anything more just ask specifically.

Regarding the report Adam linked in comment #3: Most of the people there seem to be using EFI. I am using the BIOS-Emulation via BootCamp/Refit.
Comment 5 Adam Williamson 2009-06-15 13:13:24 EDT
do you have the package 'mousetweaks' installed? if so, can you remove it and see if it changes the pointer behaviour? thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Felix Möller 2009-06-15 14:20:16 EDT
I had 'mousetweaks' installed, it is now deinstalled but does not seem to change anything.
Comment 7 Matěj Cepl 2009-06-19 14:10:11 EDT
I bet we have duplicate of bug 496460 or bug 494390 here (which might be duplicates of each other).

Also, please, could you attach to this bug your /var/log/Xorg.0.log and /var/log/dmesg, when running without nomodeset and without /etc/X11/xorg.conf, please?
Comment 8 Adam Williamson 2009-06-19 15:29:29 EDT
matej: the reason I didn't mark it as a dupe yet is that I've talked to Kristian about it and we think Felix does have the problem from 494390, but _also_ a further problem, since just plain 'nomodeset' doesn't work for him. For all the reporters in 494390, just 'nomodeset' is a sufficient workaround, so we think Felix has a further issue that isn't covered in 494390.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Felix Möller 2009-06-19 16:31:47 EDT
Created attachment 348703 [details]
dmesg of my Macbook
Comment 10 Felix Möller 2009-06-19 16:35:25 EDT
Created attachment 348705 [details]
Xorg.log when running with default configuration

This is the Xorg.0.log. 

I just recognized it is possible to switch to tty2 in the first second after x starts. 

I have problem bug #505539 too, I do not know whether all others have that too...
Comment 11 Felix Möller 2009-07-05 05:28:14 EDT
I have tried todays git of xf86-video-intel (version:
74227141923a2f5049592219ab80e8733062a5d9) which required libdrm-2.4.11. Sadly
this did not help at all.

Is there anything to help to resolve this bug? My graphics performance is
really a show stopper. :-(
Comment 13 Matěj Cepl 2009-11-05 13:31:30 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Felix Möller 2009-11-05 13:41:50 EST
I bought a new notebook to solve this problem. I am afraid I cannot help to debug this anymore. Therefore closing.

Note You need to log in before you can comment on or make changes to this bug.